Skip to main content

Create Random Pix Key

POST 

/v1/pix/keys

Generate a new random EVP pix key for the user.

Request​

Header Parameters

    x-transaction-uuid stringrequired

    The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    The product ID is a UUID (v4) used to identify the Z.ro product configuration.

    x-product-target-user-uuid string

    The product target user ID is a UUID (v4) used to identify what user account this request must be executed. Require: x-product-uuid.

Body

    pix_account_id string

    Pix account ID.

Responses​

The pix key returned successfully.

Schema
    id stringrequired

    Pix Key ID.

    key stringrequired

    Pix key.

    type objectrequired

    Pix Key Type.

    state objectrequired

    Pix Key State.

    created_at date-timerequired

    Pix Key created at.

Loading...